mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.ValueType DSA Parameters. To be added
- Field
  System.Int32 Counter for the primes generation. It is possible to verify the primes p and q by using this parameter. 1.0.5000.0 2.0.0.0
- Field
  System.Byte[] To be added The numbers P, Q and G may be shared for a group of users. 1.0.5000.0 2.0.0.0
- Field
  System.Byte[] To be added To be added 1.0.5000.0 2.0.0.0
- Field
  System.Byte[] A prime modulus. The numbers P, Q and G may be shared for a group of users. 1.0.5000.0 2.0.0.0
- Field
  System.Byte[] A prime divisor of (p - 1). The numbers P, Q and G may be shared for a group of users. 1.0.5000.0 2.0.0.0
- Field
  System.Byte[] Seed for the primes generation. It is possible to verify the primes p and q by using this parameter. 1.0.5000.0 2.0.0.0
- Field
  System.Byte[] The private key.

  X is a random 160 bits number (20 bytes). It's size doesn't vary with the length of the public key (512-1024 bits).

  While this structure has the attribute the private key, X, is marked as so it's content cannot be divulged using serialization.

  1.0.5000.0
  2.0.0.0
- Field
  System.Byte[] The public key. The public key, Y = G^X mod P. 1.0.5000.0 2.0.0.0
System.Runtime.InteropServices.ComVisible(true)